import {Component, Host, Prop, Listen, h} from '@stencil/core';

@Component({
  tag: 'hy-footer-action',
  styleUrl: 'hy-footer-action.scss',
  shadow: false,
})
export class HyFooterAction {
  /**
   * String of text for updated text to be displayed.
   */
  @Prop() updatedText: string;
  /**
   * Up button label.
   */
  @Prop() upButtonLabel: string;

  @Listen('scrollTop', {capture: true}) scrollTop() {
    window.scrollTo({top: 0, behavior: 'smooth'});
  }

  render() {
    const classAttributes = ['hy-footer-action'].join(' ');

    return (
      <Host class={classAttributes}>
        <span class={'hy-footer-action__updated-text'}>{this.updatedText}</span>
        {this.upButtonLabel && (
          <span class="hy-footer-action__scroll-up">
            <label htmlFor="scroll-up">{this.upButtonLabel}</label>
            <button name="scroll-up" onClick={() => this.scrollTop()} class="hy-footer-action__up-button" type="button">
              <hy-icon class={'hy-footer-action__up-icon'} icon={'hy-icon-arrow-up'} size={26} />
            </button>
          </span>
        )}
      </Host>
    );
  }
}
