import {Component, ComponentInterface, Host, h, Prop} from '@stencil/core';

@Component({
  tag: 'hy-badge',
  styleUrl: 'hy-badge.scss',
  shadow: true
})
export class HyBadge implements ComponentInterface {
  @Prop() variant: 'primary' | 'warn' | 'success' | 'disabled' = 'primary';

  render() {
    const classAttributes = ['hy-badge', this.variant];
    return (
      <Host>
        <span class={classAttributes.join(' ')}>
          <slot></slot>
        </span>
      </Host>
    );
  }
}
