import {Component, h, Prop} from '@stencil/core';
import {ColorVariant} from '../../utils/utils';

@Component({
  tag: 'hy-filter-group-item',
  shadow: false,
})
export class HyFilterGroupItem {
  @Prop() filterGroupItemId: string | number;
  @Prop() filterGroupItemLabel: string;

  render() {
    return (
      <li class="hy-filter-group__filter">
        <button type="button" class="hy-filter-group__button" aria-label={`Deselect ${this.filterGroupItemLabel}`}>
          {this.filterGroupItemLabel}
          <hy-icon
            class="hy-filter-group__button-icon"
            icon={'hy-icon-remove'}
            size={10}
            aria-hidden="true"
            fill={ColorVariant.white}
          />
        </button>
        <slot />
      </li>
    );
  }
}
