import {Component, h, Prop} from '@stencil/core';
import {ColorVariant, SiteLogoSize} from '../../utils/utils';

@Component({
  tag: 'hy-user-login-form',
  styleUrl: 'hy-user-login-form.scss',
  shadow: false,
})
export class HyUserLoginForm {
  @Prop() logoUrl?: string;
  @Prop() logoLabel?: string;

  render() {
    const classAttributes = 'hy-user-login-form';

    const logoSize = SiteLogoSize.large;
    const logoColor = ColorVariant.black;

    return (
      <div class={classAttributes}>
        <div class={'hy-site-header__logo-container'}>
          <hy-site-logo size={logoSize} color={logoColor} url={this.logoUrl} label={this.logoLabel} />
        </div>

        <slot />
      </div>
    );
  }
}
