import {h, FunctionalComponent} from '@stencil/core';

export const IconArrowLeft: FunctionalComponent = (props: any) => {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width={props.width || 30}
      height={props.height || 29}
      viewBox="0 0 30 29"
      fill={props.fill || 'black'}
    >
      <polygon
        points="29.207 13.783 14.756 .717 14.055 0 11.402 3.118 10.732 3.835 19.665 11.974 0 11.974 0 17.026 19.756 17.026 11.494 24.447 10.823 25.071 11.402 25.882 13.476 28.189 14.055 29 30 14.594"
        transform="rotate(-180 15 14.5)"
      />
    </svg>
  );
};
export const IconArrowRight: FunctionalComponent = (props: any) => {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width={props.width || 30}
      height={props.height || 29}
      viewBox="0 0 30 29"
      fill={props.fill || 'black'}
    >
      <polygon points="29.207 13.783 14.756 .717 14.055 0 11.402 3.118 10.732 3.835 19.665 11.974 0 11.974 0 17.026 19.756 17.026 11.494 24.447 10.823 25.071 11.402 25.882 13.476 28.189 14.055 29 30 14.594" />
    </svg>
  );
};
export const IconArrowToRight: FunctionalComponent = (props: any) => {
  return (
    <svg viewBox="0 0 1000 1000" {...props}>
      <path
        d="M993.6,482.3L518.2,6.4c-4.6-4.6-11-6.9-17.4-6.3c-6.4,0.6-12.3,4-15.9,9.4l-73.5,107.7
        c-5.9,8.6-4.8,20.2,2.6,27.6l265,265.3H21.7c-12,0-21.7,9.7-21.7,21.7v128.2c0,12,9.7,21.7,21.7,21.7H687L414,855.2
        c-7.4,7.4-8.5,19-2.6,27.6l73.5,107.7c3.6,5.3,9.5,8.8,15.9,9.4c0.7,0.1,1.3,0.1,2,0.1c5.7,0,11.3-2.3,15.4-6.4l475.4-475.9
        c4.8-4.8,6.9-11.4,6.2-17.7c0.1-0.8,0.1-1.5,0.1-2.3C1000,491.9,997.7,486.4,993.6,482.3z"
      />
    </svg>
  );
};

export const IconQuote: FunctionalComponent = (props: any) => {
  return (
    <svg viewBox="0 0 1000 660" {...props}>
      <path
        id="Quote-icon"
        d="M222.8,660C330.3,422.9,407.2,212.5,453.5,29L433.8,0H131.1C104,186.2,60.3,406.2,0,660H222.8z M769.3,660
	  C876.8,422.9,953.7,212.5,1000,29l0,0L981.7,0H678.9c-29.7,202-74.7,422-135,660l0,0H769.3z"
      />
    </svg>
  );
};

export {default as AddToTodoList} from './AddToTodoList';
export {default as ArrowDown} from './ArrowDown';
export {default as ArrowUp} from './ArrowUp';
export {default as Arrow} from './Arrow';
export {default as AvatarGroup} from './AvatarGroup';
export {default as Avatar} from './Avatar';
export {default as Bachelor} from './Bachelor';
export {default as BulletList} from './BulletList';
export {default as Camera} from './Camera';
export {default as CaretDown} from './CaretDown';
export {default as CaretLeft} from './CaretLeft';
export {default as CaretRight} from './CaretRight';
export {default as CaretUp} from './CaretUp';
export {default as Chat} from './Chat';
export {default as CodeFork} from './CodeFork';
export {default as Cogs} from './Cogs';
export {default as Contentlink} from './Contentlink';
export {default as Customlink} from './Customlink';
export {default as Date} from './Date';
export {default as Discover} from './Discover';
export {default as Done} from './Done';
export {default as Dot} from './Dot';
export {default as DotArrowRight} from './DotArrowRight';
export {default as Download} from './Download';
export {default as Drag} from './Drag';
export {default as Dragbutton} from './Dragbutton';
export {default as DropDown} from './DropDown';
export {default as EditEvent} from './EditEvent';
export {default as Edit} from './Edit';
export {default as Embed} from './Embed';
export {default as Euro} from './Euro';
export {default as Events} from './Events';
export {default as ExternalLink} from './ExternalLink';
export {default as EyeSlash} from './EyeSlash';
export {default as Facebook} from './Facebook';
export {default as Favorites} from './Favorites';
export {default as Feed} from './Feed';
export {default as FileText} from './FileText';
export {default as FullScreen} from './FullScreen';
export {default as Globe} from './Globe';
export {default as GooglePlus} from './GooglePlus';
export {default as Grid} from './Grid';
export {default as Hamburger} from './Hamburger';
export {default as Heart} from './Heart';
export {default as Helsinginyliopisto} from './Helsinginyliopisto';
export {default as Home} from './Home';
export {default as HorizontalResize} from './HorizontalResize';
export {default as HyLogo} from './HyLogo';
export {default as IdNumber} from './IdNumber';
export {default as ImageGallery} from './ImageGallery';
export {default as Image} from './Image';
export {default as Images} from './Images';
export {default as InfoStroke} from './InfoStroke';
export {default as Info} from './Info';
export {default as Instagram} from './Instagram';
export {default as LeikiList} from './LeikiList';
export {default as LinkArrow1} from './LinkArrow1';
export {default as LinkArrowDown} from './LinkArrowDown';
export {default as LinkArrowLeft} from './LinkArrowLeft';
export {default as LinkArrowOffsite} from './LinkArrowOffsite';
export {default as LinkArrowUp} from './LinkArrowUp';
export {default as LinkArrow} from './LinkArrow';
export {default as Linkedin} from './Linkedin';
export {default as ListAsBlocks} from './ListAsBlocks';
export {default as List} from './List';
export {default as Listoflinks} from './Listoflinks';
export {default as Location} from './Location';
export {default as Log} from './Log';
export {default as Login} from './Login';
export {default as Logout} from './Logout';
export {default as MagnifyMinus} from './MagnifyMinus';
export {default as MagnifyPlus} from './MagnifyPlus';
export {default as Mail} from './Mail';
export {default as Master} from './Master';
export {default as Minus} from './Minus';
export {default as Mobile} from './Mobile';
export {default as Modify} from './Modify';
export {default as NaviTriangle} from './NaviTriangle';
export {default as NewGroup} from './NewGroup';
export {default as NewPerson} from './NewPerson';
export {default as Notification} from './Notification';
export {default as OpinderLogoNew} from './OpinderLogoNew';
export {default as OpinderLogo} from './OpinderLogo';
export {default as Pdf} from './Pdf';
export {default as People} from './People';
export {default as PermissionAll} from './PermissionAll';
export {default as PermissionGroup} from './PermissionGroup';
export {default as PermissionPrivate} from './PermissionPrivate';
export {default as PersonOutline} from './PersonOutline';
export {default as Person} from './Person';
export {default as Phone} from './Phone';
export {default as Play} from './Play';
export {default as Plus} from './Plus';
export {default as Preview} from './Preview';
export {default as Profile} from './Profile';
export {default as Question} from './Question';
export {default as Remove} from './Remove';
export {default as Retweet} from './Retweet';
export {default as RotateLeft} from './RotateLeft';
export {default as RotateRight} from './RotateRight';
export {default as Search} from './Search';
export {default as Share} from './Share';
export {default as SocialMedia} from './SocialMedia';
export {default as SomeFacebook} from './SomeFacebook';
export {default as SomeInstagram} from './SomeInstagram';
export {default as SomeTwitter} from './SomeTwitter';
export {default as SomeYoutube} from './SomeYoutube';
export {default as SomeLinkedin} from './SomeLinkedin';
export {default as Spinner} from './Spinner';
export {default as SquareChecked} from './SquareChecked';
export {default as Square} from './Square';
export {default as Time} from './Time';
export {default as TodoList} from './TodoList';
export {default as Tour} from './Tour';
export {default as Twitter} from './Twitter';
export {default as UnitsAndFaculties} from './UnitsAndFaculties';
export {default as Url} from './Url';
export {default as Video} from './Video';
export {default as Warning} from './Warning';
export {default as Wrench} from './Wrench';
export {default as Youtube} from './Youtube';
