import {Component, Element, h, Host, Prop} from '@stencil/core';

@Component({
  tag: 'hy-ingress',
  styleUrl: 'ingress.scss',
  shadow: false,
})
export class Ingress {
  @Element() el: HTMLElement;
  @Prop() headerstyle: string = 'common';

  componentDidLoad() {
    let hyMainDiv = this.el.closest('.hy-main');
    if (hyMainDiv) {
      if (!hyMainDiv.classList.contains('with-sidebar')) {
        this.headerstyle = 'large';
      }
    }
  }

  render() {
    const classAttributes = ['hy-ingress', `hy-ingress__${this.headerstyle}`].join(' ');
    return (
      <Host>
        <p class={classAttributes}>
          <slot></slot>
        </p>
      </Host>
    );
  }
}
